
// Init vars
var selectedFeature = null;
var ignApiKey = "{{IGN_API_KEY}}";
var mapId = "map";
var selectedLayer = L.layerGroup();

{#
// Tile Layers
// IGN layers   
var scanWmtsUrl = "{{PROTOCOL}}://wxs.ign.fr/" + ignApiKey + "/wmts?LAYER=GEOGRAPHICALGRIDSYSTEMS.MAPS.SCAN-EXPRESS.STANDARD&EXCEPTIONS=text/xml&FORMAT=image/jpeg&SERVICE=WMTS&VERSION=1.0.0&REQUEST=GetTile&STYLE=normal&TILEMATRIXSET=PM&&TILEMATRIX={z}&TILECOL={x}&TILEROW={y}";
var SCANExpress = L.tileLayer(scanWmtsUrl, {attribution: '&copy; <a href="{{PROTOCOL}}://www.ign.fr/">IGN</a>'});
var scan25WmtsUrl = "{{PROTOCOL}}://wxs.ign.fr/" + ignApiKey + "/wmts?LAYER=GEOGRAPHICALGRIDSYSTEMS.MAPS&EXCEPTIONS=text/xml&FORMAT=image/jpeg&SERVICE=WMTS&VERSION=1.0.0&REQUEST=GetTile&STYLE=normal&TILEMATRIXSET=PM&&TILEMATRIX={z}&TILECOL={x}&TILEROW={y}";
var CarteIGN = L.tileLayer(scan25WmtsUrl, {attribution: '&copy; <a href="{{PROTOCOL}}://www.ign.fr/">IGN</a>'});
var cadastWmtsUrl = "{{PROTOCOL}}://wxs.ign.fr/" + ignApiKey + "/wmts?LAYER=CADASTRALPARCELS.PARCELS&EXCEPTIONS=text/xml&FORMAT=image/png&SERVICE=WMTS&VERSION=1.0.0&REQUEST=GetTile&STYLE=bdparcellaire&TILEMATRIXSET=PM&&TILEMATRIX={z}&TILECOL={x}&TILEROW={y}";
var Cadastre = L.tileLayer(cadastWmtsUrl, {attribution: '&copy; <a href="{{PROTOCOL}}://www.ign.fr/">IGN</a>', transparent: true, maxZoom: 20});
var orthoWmtsUrl = "{{PROTOCOL}}://wxs.ign.fr/" + ignApiKey + "/wmts?LAYER=ORTHOIMAGERY.ORTHOPHOTOS&EXCEPTIONS=text/xml&FORMAT=image/jpeg&SERVICE=WMTS&VERSION=1.0.0&REQUEST=GetTile&STYLE=normal&TILEMATRIXSET=PM&&TILEMATRIX={z}&TILECOL={x}&TILEROW={y}";
var Orthophotos = L.tileLayer(orthoWmtsUrl, {attribution: '&copy; <a href="{{PROTOCOL}}://www.ign.fr/">IGN</a>', maxZoom: 20});
var adminWmtsUrl = "{{PROTOCOL}}://wxs.ign.fr/" + ignApiKey + "/wmts?LAYER=ADMINISTRATIVEUNITS.BOUNDARIES&EXCEPTIONS=text/xml&FORMAT=image/png&SERVICE=WMTS&VERSION=1.0.0&REQUEST=GetTile&STYLE=normal&TILEMATRIXSET=PM&&TILEMATRIX={z}&TILECOL={x}&TILEROW={y}";
var LimitesAdmin = L.tileLayer(adminWmtsUrl, {attribution: '&copy; <a href="{{PROTOCOL}}://www.ign.fr/">IGN</a>'});
var majorWmtsUrl = "{{PROTOCOL}}://wxs.ign.fr/" + ignApiKey + "/wmts?LAYER=GEOGRAPHICALGRIDSYSTEMS.ETATMAJOR40&EXCEPTIONS=text/xml&FORMAT=image/jpeg&SERVICE=WMTS&VERSION=1.0.0&REQUEST=GetTile&STYLE=normal&TILEMATRIXSET=PM&&TILEMATRIX={z}&TILECOL={x}&TILEROW={y}";
var EtatMajor = L.tileLayer(majorWmtsUrl, {attribution: '&copy; <a href="{{PROTOCOL}}://www.ign.fr/">IGN</a>'});
var oldorthosWmtsUrl = "{{PROTOCOL}}://wxs.ign.fr/" + ignApiKey + "/wmts?LAYER=ORTHOIMAGERY.ORTHOPHOTOS2000-2005&EXCEPTIONS=text/xml&FORMAT=image/jpeg&SERVICE=WMTS&VERSION=1.0.0&REQUEST=GetTile&STYLE=normal&TILEMATRIXSET=PM&&TILEMATRIX={z}&TILECOL={x}&TILEROW={y}";
var Orthos2000 = L.tileLayer(oldorthosWmtsUrl, {attribution: '&copy; <a href="{{PROTOCOL}}://www.ign.fr/">IGN</a>', maxZoom: 20});    

// OSM
var OpenStreetMap = new L.TileLayer('{{PROTOCOL}}://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {attribution: 'Map data © <a href="{{PROTOCOL}}://openstreetmap.org">OpenStreetMap</a> contributors'});

// Google
var GoogleSat = new L.TileLayer('{{PROTOCOL}}://mt1.google.com/vt/lyrs=s&x={x}&y={y}&z={z}', {attribution: '© Google'});
#}

// BASE LAYERS
{%  for key,layer in BASE_LAYERS %}
    {%  if layer.layer_type == 'tile_layer' %} 
        var {{  layer.layer_alias }} = new L.TileLayer("{{ layer.geolayer_id|replace({'IGN_API_KEY' : IGN_API_KEY })|raw }}", {alias : '{{ layer.layer_alias }}', {{ layer.options|default(null)|raw }}  }) ;
    {% endif %}
    {%  if layer.layer_type == 'tile_layer_wms' %} 
        var {{  layer.layer_alias }} = new L.tileLayer.wms("{{ layer.geolayer_id|replace({'IGN_API_KEY' : IGN_API_KEY })|raw }}", {alias : '{{ layer.layer_alias }}', {{ layer.options|default(null)|raw }}  }) ;
    {% endif %}
{%  endfor %}

// OTHER BASE LAYERS
{%  for key,layer in OTHER_BASE_LAYERS %}  
    {%  if layer.layer_type == 'tile_layer' %} 
        var {{  layer.layer_alias }} = new L.TileLayer("{{ layer.geolayer_id|replace({'IGN_API_KEY' : IGN_API_KEY })|raw }}", {alias : '{{ layer.layer_alias }}', {{ layer.options|default(null)|raw }} }) ;
    {% endif %}
     {%  if layer.layer_type == 'tile_layer_wms' %} 
        var {{  layer.layer_alias }} = new L.tileLayer.wms("{{ layer.geolayer_id|replace({'IGN_API_KEY' : IGN_API_KEY })|raw }}", {alias : '{{ layer.layer_alias }}', {{ layer.options|default(null)|raw }} }) ;
    {% endif %}
{%  endfor %}

var drawnItems = new L.FeatureGroup();



// LEAFLET MAP INIT
var map = L.map(mapId, {
    center: new L.{{ centre|default(app['session'].get('default_center')) }},
    zoom:{{ zoom|default(app['session'].get('default_zoom')) }},
    zoomDelta: 0.25,
    zoomSnap: 0.25,
    maxZoom: 22,
    editable:true, 
    editOptions:{
        featuresLayer: drawnItems
    },
    layers: [{{ baselayer }}, {% for l in otherlayers %} {{ l['layer']|default(null) }}, {% endfor %}]    
});





var baseLayers = { {%  for  layer in BASE_LAYERS  %} "{{ layer.layer_id }}":{{ layer.layer_alias }}, {% endfor %}} ;

var otherBaseLayers = { {%  for  layer in OTHER_BASE_LAYERS  %} "{{ layer.layer_id }}":{{ layer.layer_alias }}, {% endfor %}} ;

// Layer control
L.control.layers(baseLayers, otherBaseLayers, {position: 'topleft'}).addTo(map);


// Scalbar
L.control.scale({'imperial':false, 'metric':true, 'position':'bottomright'}).addTo(map);

// Locate control
L.control.locate().addTo(map);


// DRAW

var sysmaGroup = new L.FeatureGroup();
map.addLayer(sysmaGroup);

map.addLayer(drawnItems);
drawnItems.bringToFront();




// other tools 
// SYSMA TOOL BOX /////////////////////////////////////////////////////////////////////

var sysmaToolBoxIsOpened = false ;
var selectionMode = false ;



L.Control.sysmaToolsButton = L.Control.extend({
    options: {
        position: 'topleft'
    },
    onAdd: function (map) {
        var container = L.DomUtil.create('div', 'leaflet-bar leaflet-control leaflet-sysma-toolbox-control');
        container.id = 'sysmaToolBox' ;
        var button = L.DomUtil.create('a', 'leaflet-control-button leaflet-sysma-toolbox-button', container);
        L.DomEvent.disableClickPropagation(button);
        L.DomEvent.on(container, 'click', function(){
            openCloseSysmaToolbox();           
        });

        container.title = "Sysma ToolBox";

        return container;
    },
    onRemove: function(map) {},
});


L.control.sysmaTools = function(opts) {
    return new L.Control.sysmaToolsButton(opts);
}

L.control.sysmaTools({ position: 'topleft' }).addTo(map);



function toggleSelectionMode() {
    setSelectionMode(!selectionMode)  
}


function setSelectionMode(onOff) {
    if (onOff) {
                selectionMode = true ;
                drawnItems.clearLayers();
                console.log('Selection mode On') ;
                enableDraw('ST_Polygon',null)
                $('.leaflet-selection-button').attr('style', 'background-color : #000 !important') ;
            } else {
                selectionMode = false ;
                map.editTools.stopDrawing() ; 
                console.log('Selection mode Off') ;
                $('.leaflet-selection-button').attr('style', 'background-color : #ccc !important') ;            
    }
}



function openCloseSysmaToolbox() {



// MEASURE CONTROL 

 if (sysmaToolBoxIsOpened == false) { 

    
    map.measureControl = new L.Control.Measure({ position:'topleft', primaryLengthUnit: 'meters', secondaryLengthUnit: undefined, primaryAreaUnit: 'hectares', secondaryAreaUnit : 'sqmeters', activeColor: '#ff0000', completedColor: '#FF3333', localization: 'fr' }) ;
    map.addControl(map.measureControl)

     } else {
        map.measureControl.remove() ;
    }


    // SEARCH Tool


    if (sysmaToolBoxIsOpened == false) { 

        map.searchBtn = new L.Control.Search({
            url: '{{PROTOCOL}}://nominatim.openstreetmap.org/search?format=json&q={s}',
            jsonpParam: 'json_callback',
            propertyName: 'display_name',
            propertyLoc: ['lat', 'lon'],
            markerLocation: true,
            autoCollapse: true,
            autoType: false,
            minLength: 2
        }) ;

         map.addControl(map.searchBtn);

    } else {
        map.searchBtn.remove() ;
    }
   
   // COORDS TOOL
    
    if (sysmaToolBoxIsOpened == false) {  
      
            coordBtnConstructor = L.Control.extend({
                options: {
                    position: 'topleft'
                },
                onAdd: function (map) {

                    map.coordBtn = this;
                    var container = L.DomUtil.create('div', 'leaflet-bar leaflet-control leaflet-coord-control');
                    var button = L.DomUtil.create('a', 'leaflet-control-button leaflet-coord-button text-inactive', container);
                    button.id = 'iconCoord' ;
                    L.DomEvent.disableClickPropagation(container);
                    L.DomEvent.on(container, 'click', function(){
                        $('#iconCoord').toggleClass('text-inactive');                        
                        groupCoord.clearLayers();     
                        if (!$('#iconRpg').hasClass('text-inactive')) {
                            $('#iconRpg').toggleClass('text-inactive');
                        }
                        if (!$('#iconCad').hasClass('text-inactive')) {
                            $('#iconCad').toggleClass('text-inactive');
                        }    
                        setSelectionMode(false)  
                    });
                    container.title = "Afficher les coordonnées de la carte";
                    return container;
                },
                onRemove: function(map) {
                    groupCoord.clearLayers();                       
                },
            });            
            
            var coordBtn = new coordBtnConstructor() ;          
            coordBtn.addTo(map);
       
        }  else {
              
                if (map.coordBtn) {
                    console.log('Close Coord Tool') ;
                    map.coordBtn.remove() ;                    
                }             

        }


// SELECTION TOOL





 if (sysmaToolBoxIsOpened == false) {        

        selectionBtnConstructor = L.Control.extend({
            options: {
                position: 'topleft'
            },
        onAdd: function (map) {
            map.selectBtn = this;
            var container = L.DomUtil.create('div', 'leaflet-bar leaflet-control leaflet-selection-control');
            var button = L.DomUtil.create('a', 'leaflet-control-button leaflet-selection-button', container);            
            L.DomEvent.disableClickPropagation(button);
            L.DomEvent.on(container, 'click', function(){
                toggleSelectionMode();      
                if (!$('#iconCad').hasClass('text-inactive')) {
                    $('#iconCad').toggleClass('text-inactive');
                }
                if (!$('#iconRpg').hasClass('text-inactive')) {
                    $('#iconRpg').toggleClass('text-inactive');
                }
                if (!$('#iconCoord').hasClass('text-inactive')) {
                    $('#iconCoord').toggleClass('text-inactive');
                }
                     
            });

            container.title = "Zone de sélection";
            return container;
        },
        onRemove: function(map) {},
        });

            var selectBtn = new selectionBtnConstructor() ;          
            selectBtn.addTo(map);

    } else {
              
                if (map.selectBtn) {
                    console.log('Close Selection Tool') ;
                    map.selectBtn.remove() ;                    
                }             

        }




// RPG TOOL
      
        {% if app.session.get('user_id')|hasRpgAccess and RPG_MODE|default(null) == 'on' %}
        

        if (sysmaToolBoxIsOpened == false) {  
      
            rpgBtnConstructor = L.Control.extend({
                options: {
                    position: 'topleft'
                },
                onAdd: function (map) {

                    map.rpgBtn = this;
                    var container = L.DomUtil.create('div', 'leaflet-bar leaflet-control leaflet-rpg-control');
                    var button = L.DomUtil.create('a', 'leaflet-control-button leaflet-rpg-button text-inactive', container);
                    button.id = 'iconRpg' ;
                    L.DomEvent.disableClickPropagation(container);
                    L.DomEvent.on(container, 'click', function(){
                        $('#iconRpg').toggleClass('text-inactive');
                        if (!$('#iconCoord').hasClass('text-inactive')) {
                            $('#iconCoord').toggleClass('text-inactive');
                        }
                        if (!$('#iconCad').hasClass('text-inactive')) {
                            $('#iconCad').toggleClass('text-inactive');
                        }
                        setSelectionMode(false)
                        groupRpg.clearLayers();           
                    });
                    container.title = "RPG";
                    return container;
                },
                onRemove: function(map) {
                    groupRpg.clearLayers();                       
                },
            });            
            
            var rpgBtn = new rpgBtnConstructor() ;          
            rpgBtn.addTo(map);
       
        }  else {
              
                if (map.rpgBtn) {
                    console.log('Close RPG Tool') ;
                    map.rpgBtn.remove() ;
                }             

        }

        {% endif %}


        
		{% if app.session.get('user_id')|hasCadastreAccess and CADASTRE_MODE == 'on' %}

          if (sysmaToolBoxIsOpened == false) {  
      
            cadBtnConstructor = L.Control.extend({
                options: {
                    position: 'topleft'
                },
                onAdd: function (map) {

                    map.cadBtn = this;
                    var container = L.DomUtil.create('div', 'leaflet-bar leaflet-control leaflet-cad-control');
                    var button = L.DomUtil.create('a', 'leaflet-control-button leaflet-cad-button text-inactive', container);
                    button.id = 'iconCad' ;
                    L.DomEvent.disableClickPropagation(container);
                    L.DomEvent.on(container, 'click', function(){
                        $('#iconCad').toggleClass('text-inactive');
                        if (!$('#iconCoord').hasClass('text-inactive')) {
                            $('#iconCoord').toggleClass('text-inactive');
                        }
                        if (!$('#iconRpg').hasClass('text-inactive')) {
                            $('#iconRpg').toggleClass('text-inactive');
                        }
                        setSelectionMode(false)
                        groupCad.clearLayers();      
                             
                    });
                    container.title = "Afficher les informations du cadastre";
                    return container;
                },
                onRemove: function(map) {
                    groupCad.clearLayers();                       
                },
            });            
            
            var cadBtn = new cadBtnConstructor() ;          
            cadBtn.addTo(map);
       
        }  else {
              
                if (map.cadBtn) {
                    console.log('Close Cad Tool') ;
                    map.cadBtn.remove() ;
                }             

        }
                                
		
        {% endif %}


        if (sysmaToolBoxIsOpened == false) {  

            console.log('Open Sysma Tool Box') ;
            sysmaToolBoxIsOpened = true ;  

        } else {

            console.log('Close Sysma Tool Box') ;
            sysmaToolBoxIsOpened = false ; 
        }

  
}


// Editable Events

function enableDraw(type,snapLayer) {

    selectedLayer.remove() ;
    selectedLayer.clearLayers() ;

    //console.log(snapLayer);
    if (snapLayer !== null) {

        var snap = new L.Handler.MarkerSnap(map, null, { snapDistance : {{ snapDistance|default(15) }} });    
        //console.log('snapping is on') ;
        //console.log(map._layers[snapLayer]) ;

        snap.addGuideLayer(map._layers[snapLayer]);
        var snapMarker = L.marker(map.getCenter(), {
            icon: map.editTools.createVertexIcon({className: 'leaflet-div-icon leaflet-drawing-icon'}),
            opacity: 1,
            zIndexOffset: 1000
        });

        snap.watchMarker(snapMarker);

        map.on('editable:vertex:dragstart', function (e) {
            snap.watchMarker(e.vertex);
        });
        map.on('editable:vertex:dragend', function (e) {
            snap.unwatchMarker(e.vertex);
        });
        map.on('editable:drawing:start', function () {
            this.on('mousemove', followMouse);
        });
        map.on('editable:drawing:end', function () {
            this.off('mousemove', followMouse);
            snapMarker.remove();
        });
        map.on('editable:drawing:cancel', function () {          
            snap.disable() ;
            this.off('mousemove', followMouse);
            snapMarker.remove();
        });
        map.on('editable:drawing:click', function (e) {
            // Leaflet copy event data to another object when firing,
            // so the event object we have here is not the one fired by
            // Leaflet.Editable; it's not a deep copy though, so we can change
            // the other objects that have a reference here.
            var latlng = snapMarker.getLatLng();
            e.latlng.lat = latlng.lat;
            e.latlng.lng = latlng.lng;
        });
        snapMarker.on('snap', function (e) {
            snapMarker.addTo(map);
        });
        snapMarker.on('unsnap', function (e) {
            snapMarker.remove();
        });
        var followMouse = function (e) {
            snapMarker.setLatLng(e.latlng);
        }
    }

    if (type === 'ST_Point') {
        map.editTools.startMarker();  
    } else if (type === 'ST_Linestring') {
        map.editTools.startPolyline();  
    } else if (type === 'ST_Polygon') {            
        map.editTools.startPolygon();  
    }
}

// tracking continue mode
var cont = 0 ;


map.on('editable:drawing:commit', function (e) {

    map.editTools.stopDrawing() ; 

    if (cont === 0) {
        //console.log(e) ;
        e.layer.editor.disable() ;

        layer = e.layer;
        var shape = layer.toGeoJSON();
        var shape_for_db = JSON.stringify(shape);

        var data = JSON.parse(shape_for_db);
        openClose('rightColumn', '{{ (mapWidth) }}%', 'map', '{{ (100-mapWidth) }}%');
        $('#infos').hide(150);
        $('#objet').show(150);

       
        if (selectionMode) {
                sendData('geom=' + data.geometry.coordinates + '&selectionMode='+selectionMode, '{{ url('selection-geo')}}', 'objet', null);
                setSelectionMode(false) ;
        } else {
             sendData('geom=' + data.geometry.coordinates + '&geometry_type=ST_Point', '{{ url('object-create')}}', 'objet', null);
        }

        //sendData(null, "{{ url('layermanager') }}", "infos", event);
    } else {
        //console.log('commit with continue = true') ;
        cont = 0 ;
    }

});


// continue mode, Ctrl + click
map.on('editable:vertex:ctrlclick editable:vertex:metakeyclick', function (e) {
    cont = 1 ;
    e.vertex.continue();
});


// editable Ctrl Z
var Z = 90, latlng, redoBuffer = [],
onKeyDown = function (e) {
    if (e.keyCode == Z) {
        if (!this.editTools._drawingEditor) return;
        if (e.shiftKey) {
            if (redoBuffer.length) this.editTools._drawingEditor.push(redoBuffer.pop());
        } else {
            latlng = this.editTools._drawingEditor.pop();
            if (latlng) redoBuffer.push(latlng);
        }
    }
};
L.DomEvent.addListener(document, 'keydown', onKeyDown, map);

map.on('editable:drawing:end', function () {
    redoBuffer = [];
});






// Update user's center and zoom value on each pan and zoom

map.on('moveend', function (e) {
    //console.log('moveend') ;
    $('#center').val(map.getCenter()) ;
    $('#zoom').val(map.getZoom()) ;
    console.log(e);
    {# sendData('centre=' + String(map.getCenter()).replace(" ","") + '&zoom=' + map.getZoom(), '{{ url('update-map-settings') }}', 'layerstate', null, true);         #}
    sendData('centre=' + String(map.getCenter()).replace(" ","") + '&zoom=' + map.getZoom(), '{{ url('update-map-settings') }}', 'layerstate', null, false);      

{#
    if (selectfeature !== null) {
   var selected_feature =  selectfeature.getFeaturesSelected('all');
   console.log(selected_feature) ;
    }
#}
});
map.on('baselayerchange', function (e) {
    //console.log('baselayerchange') ;
    //console.log(e) ;
    //if (e.sourceTarget._popup === null) {
    sendData2('baselayer=' + e.layer.options.alias, '{{ url('update-baselayer') }}', 'layerstate', null);
    //}
});
map.on('overlayremove', function (e) {    
    //console.log('overlayremove') ;
    sendData2('action=remove&otherbaselayer=' + e.layer.options.alias, '{{ url('update-other-baselayer') }}', 'layerstate', null);
});
map.on('overlayadd', function (e) {
    //console.log('overlayadd') ;
    sendData2('action=add&otherbaselayer=' + e.layer.options.alias, '{{ url('update-other-baselayer') }}', 'layerstate', null);
});


// OnClick map events
var groupCad = L.layerGroup();
groupCad.addTo(map);
var groupRpg = L.layerGroup();
groupRpg.addTo(map);
var groupCoord = L.layerGroup();
groupCoord.addTo(map);
var selectedLayer = L.layerGroup();
selectedLayer.addTo(map);
var selectedItems = [] ;

map.on('dblclick', function (e) {

}) ;


map.on('click', function (e) {
    //console.log('click') ;
    // selected feature style reset
    selectedLayer.remove() ;
    selectedLayer.clearLayers() ;
    selectedItems = [] ;
    groupCad.clearLayers();

    //
    // map click coordinates infos
    if (!$('#iconCoord').hasClass('text-inactive') && $('#iconCoord').length>0) {
        groupCoord.clearLayers();
        var markerCoord = L.marker(e.latlng);
        groupCoord.addLayer(markerCoord);
        sendData('mouse=' + e.latlng, '{{ url('coords') }}', 'objet', event, true);
        $('#infos').hide(150);
        $('#objet').show(150);
    }

    //
    // map click cadastre infos
    if (!$('#iconCad').hasClass('text-inactive') && $('#iconCad').length>0) {
        $('#infos').hide(150); $('#objet').show(150); openClose('rightColumn', '60%', 'map', '40%');
        sendData('mouse=' + e.latlng, '{{ url('infos-cadastre') }}', 'objet', null);
    }


    // map click RPG infos
    if (!$('#iconRpg').hasClass('text-inactive') && $('#iconRpg').length>0) {
        $('#infos').hide(150); $('#objet').show(150); openClose('rightColumn', '60%', 'map', '40%');
        sendData('mouse=' + e.latlng, '{{ url('infos-rpg') }}', 'objet', null);
    }
});






{% if sysma_object_id is not null %}
    openClose('rightColumn', '{{ (mapWidth) }}%', 'map', '{{ (100 - mapWidth) }}%');
    $('#infos').hide(150);
    $('#objet').show(150);
    sendData('id={{ sysma_object_id }}', '{{ url('object') }}', 'objet', null);
    sendData(null, '{{ url('layermanager') }}', 'infos', null);
    addLayer('objet', '{{sysma_object_id}}', {"color":"#ffff33", "weight":"6", "opacity":"0.85"}); 
{% elseif photo is not null %}
    openClose('rightColumn', '{{ (mapWidth) }}%', 'map', '{{ (100 - mapWidth) }}%');
    $('#infos').hide(150);
    $('#objet').show(150);
    sendData('id={{ photo }}', '{{ url('pwg-photo') }}', 'objet', null);
    sendData(null, '{{ url('layermanager') }}', 'infos', null);
    addLayer('photo', '{{photo}}', {"color":"#ffff33", "weight":"6", "opacity":"0.85"});
{% elseif sysma_action_id is defined %}
    sendDataAndMoveToElement('sysma_action_id={{sysma_action_id}}&sysma_object_id={{sysma_object_id}}', '{{PROTOCOL}}://sysma.sevre-nantaise.com/sysma_action', 'blocInfosTravaux{{sysma_action_id}}', null, null, 'blocInfosTravaux{{sysma_action_id}}');
{% elseif q is not null %}  
    $('#infos').hide(150);
    $('#objet').show(150);
    sendData('q={{q}}', '{{ url('search') }}', 'objet', null);
    sendData(null, '{{ url('layermanager') }}', 'infos', null);
{% elseif print is not null %}    
    sendData(null, '{{ url('layermanager-print') }}', 'infos', null);  
{% else %}
    sendData(null, '{{ url('layermanager') }}', 'infos', null);
{% endif %}


